Bug 160724 - kmail confused about message headers, mixing up messages in the message list
Summary: kmail confused about message headers, mixing up messages in the message list
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail
Classification: Applications
Component: IMAP (show other bugs)
Version: 1.9.7
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2008-04-11 21:32 UTC by Chase Venters
Modified: 2018-09-04 18:21 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot of Kmail, no problem seen yet (52.76 KB, image/png)
2008-04-11 21:33 UTC, Chase Venters
Details
KMail now thinks the message is subject "GLSA Check Report", but still shows the Sealab message (57.35 KB, image/png)
2008-04-11 21:34 UTC, Chase Venters
Details
KMail is instructed to search for Amazon.com messages, but highlighting one brings up a different message entirely (161.92 KB, image/png)
2008-04-11 21:37 UTC, Chase Venters
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chase Venters 2008-04-11 21:32:31 UTC
Version:           KMail 1.9.7 (using KDE 3.5.8)
Installed from:    Gentoo Packages
Compiler:          gcc (GCC) 4.2.2 (Gentoo 4.2.2 p1.0)
 
OS:                Linux

I'm using IMAP folders with my version of KMail. I've seen this bug for a while and decided to finally report it.

It seems to happen in larger mailboxes. For example, the inbox for my main e-mail account has 2610 messages. I've coped with the problem in the past, somewhat, by writing Perl scripts that are fired off by cron to move messages into an archive folder periodically.

In essence, KMail seems to get confused about message headers and mixes up messages. One example of this behavior is when I use the Search: box to search for a certain subject line. Messages matching that subject line are shown correctly, but when I select one, KMail displays an entirely different message and then changes the list entry to match that message, despite it not matching my search criteria.

I also find that clicking various messages that aren't downloaded yet will often cause their header to change and a different message to appear. Clicking back around the list causes headers to switch as different messages are displayed. It appears that when KMail displays another message, its list entry is not updated until a window event (such as moving the focus to another window) occurs.

I'll attach a series of screenshots showing the behavior. 

This bug seems related to #62452 but I'm not sure it's the same thing. #62452 is marked RESOLVED but there was another entry added at the end of 2004 and it doesn't seem to have been addressed since then.
Comment 1 Chase Venters 2008-04-11 21:33:26 UTC
Created attachment 24299 [details]
Screenshot of Kmail, no problem seen yet
Comment 2 Chase Venters 2008-04-11 21:34:44 UTC
Created attachment 24300 [details]
KMail now thinks the message is subject "GLSA Check Report", but still shows the Sealab message
Comment 3 Chase Venters 2008-04-11 21:37:51 UTC
Created attachment 24301 [details]
KMail is instructed to search for Amazon.com messages, but highlighting one brings up a different message entirely
Comment 4 Michael Leupold 2009-04-04 14:01:42 UTC
Unfortunately I currently don't have a mail folder that big to test. I have however had several mailinglist folders with >15000 mails in the past but haven't witnessed the problem you describe. I was using KDE4.1+ though. Could you please recheck if you still see the same happening with a recent 4.x release?
Comment 5 Björn Ruberg 2010-01-16 23:44:26 UTC
Never have seen this - do you still experience this problem in KDE 4.3+?
Comment 6 Andrew Crouthamel 2018-09-04 18:21:49 UTC
Hello! Sorry to be the bearer of bad news, but this version of Kmail has been unmaintained for many years so I am closing this bug. Please try using the latest version of Kmail to see if your issue persists. If it does, please submit a new bug in "kmail2". Thank you!